# Interface BootstrapMethodEntry

public sealed interface BootstrapMethodEntry
Models an entry in the bootstrap method table. The bootstrap method table is stored in the `BootstrapMethods` attribute, but is modeled by the `ConstantPool`, since the bootstrap method table is logically part of the constant pool.

A bootstrap method entry is composite:

    BootstrapMethodEntry(
        MethodHandleEntry bootstrapMethod,
        List<LoadableConstantEntry> arguments
    )

Since:
  24
See Also:
  - `ConstantPoolBuilder::bsmEntry`

## Method Summary

Modifier and Type
Method
Description
`List<LoadableConstantEntry>`
`arguments()`
Returns the bootstrap arguments.
`MethodHandleEntry`
`bootstrapMethod()`
Returns the bootstrap method.
`int`
`bsmIndex()`
Returns the index into the bootstrap method table corresponding to this entry.
`ConstantPool`
`constantPool()`
Returns the constant pool associated with this entry.

## Method Details

### constantPool

ConstantPool constantPool()
Returns the constant pool associated with this entry.

API Note:
  Given a `ConstantPoolBuilder` `builder` and a `BootstrapMethodEntry` `entry`, use `builder.canWriteDirect(entry.constantPool())` instead of object equality of the constant pool to determine if an entry is compatible.
Returns:
  the constant pool associated with this entry

### bsmIndex

int bsmIndex()
Returns the index into the bootstrap method table corresponding to this entry.

Returns:
  the index into the bootstrap method table corresponding to this entry

### bootstrapMethod

MethodHandleEntry bootstrapMethod()
Returns the bootstrap method.

Returns:
  the bootstrap method

### arguments

List<LoadableConstantEntry> arguments()
Returns the bootstrap arguments.

Returns:
  the bootstrap arguments